Subject: Re: bug#7234: 24.0.50; strange message after text-scale-adjust
From: Kenichi Handa <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Mon, 18 Oct 2010 19:55:39 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

In article <[email-masked]>, Eli Zaretskii <[email-masked]> writes:

> > From: Kenichi Handa <[email-masked]>
> > Date: Mon, 18 Oct 2010 13:09:29 +0900
> > Cc: 
> > 
> >   ESC : (text-scale-adjust 1) RET C-b
> > 
> > "(2)" is shown in the echo area.
> > 
> >   ESC : (text-scale-adjust 1) RET C-f
> > 
> > "(6)" is shown.  When I type C-e instead of C-f above, "(5)"
> > is shown.  It seems that the number shown corresponds to the
> > character code of the last command.

> That's because text-scale-adjust does at its end

>     (push ev unread-command-events)))

> and `push' returns its first argument.

Ah, I see.  Thank you for the explanation.  I didn't realize
that when I typed C-f (or C-b), text-scale-adjust was not
yet finished.  It would be better that read-event call in
text-scale-adjust has some prompt:
 e.g. (read-event "+,-,0 for further adjustment: ")

Anyway, I'll close this bug.

---
Kenichi Handa
[email-masked]